package activity;

public class SequentialActivity extends AbstractCompositeActivity implements IWrappable {
	private boolean resume;
	
	public SequentialActivity(String type, String name, boolean repeat,
			boolean minor, String startOn, String stopOn, String onBegin,
			String onEnd, String onInterupt, String activate,
			String deactivate, boolean resume) {
		super(type, name, repeat, minor, startOn, stopOn, onBegin, onEnd,
				onInterupt, activate, deactivate);
		this.resume = resume;
	}

	public String writeXml(){
		String xml=null;
		xml=super.writeXml();
		xml=xml.substring(0,xml.length()-2);
		if(resume)
			xml+=" resume="+resume;
		xml+=">";
		return xml;
	}
	
	public SequentialActivity asSequentialActivity() {
		return this;
	}

	/**
	 * @return the resume
	 */
	public boolean isResume() {
		return resume;
	}

	/**
	 * @param resume the resume to set
	 */
	public void setResume(boolean resume) {
		this.resume = resume;
	}
	
	
}
